<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" encoding="UTF-8" omit-xml-declaration="yes" indent="no" />
	<xsl:template match="/">
		
		<xsl:for-each select="entry">
			
			<h3><xsl:value-of select="title" disable-output-escaping="yes" /></h3>
			<p><xsl:value-of select="description" disable-output-escaping="yes" /></p>
			<p>表示の大きさ：<xsl:value-of select="size/@label" disable-output-escaping="yes" /></p>
			<!-- iframeの生成。autoplay、controls、showinfo、fsの各パラメータを、それぞれ対応する項目から取得してsrc属性の中で使用しています。 -->
			<iframe src="http://www.youtube.com/embed/{videoid}?rel=0&amp;modestbranding=0&amp;autoplay={autoplay}&amp;showinfo={showinfo}&amp;fs={fs}&amp;controls={controls}&amp;autohide=1" frameborder="0">
				<!-- 大きさの指定。xsl:ifでsize項目の内容をチェックし、xsl:attributeでiframeタグに対してwidthとheightを追加しています。 -->
				<xsl:if test="size='1'"><xsl:attribute name="width">560</xsl:attribute><xsl:attribute name="height">315</xsl:attribute></xsl:if>
				<xsl:if test="size='2'"><xsl:attribute name="width">640</xsl:attribute><xsl:attribute name="height">360</xsl:attribute></xsl:if>
				<xsl:if test="size='3'"><xsl:attribute name="width">853</xsl:attribute><xsl:attribute name="height">480</xsl:attribute></xsl:if>
				<xsl:if test="size='4'"><xsl:attribute name="width">1280</xsl:attribute><xsl:attribute name="height">720</xsl:attribute></xsl:if>
				<!-- フルスクリーン可否の設定(HTML5対応) -->
				<xsl:if test="fs='1'"><xsl:attribute name="allowfullscreen">true</xsl:attribute></xsl:if>
			YouTube</iframe>
			
			<div><a href="youtube_list.php">一覧へ戻る</a></div>
		
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>